Subject: Re: [PATCH net-next v19 00/13] Device Memory TCP

From: Jakub Kicinski <[email-masked]>
Date: Wed, 14 Aug 2024 10:30:48 -0700

On Tue, 13 Aug 2024 21:13:02 +0000 Mina Almasry wrote:
> v18 got a thorough review (thanks!), and this iteration addresses the
> feedback.
> 
> Major changes:
> - Prevent deactivating mp bound queues.
> - Prevent installing xdp on mp bound netdevs, or installing mps on xdp
>   installed netdevs.
> - Fix corner cases in netlink API vis-a-vis missing attributes.
> - Iron out the unreadable netmem driver support story. To be honest, the
>   conversation with Jakub & Pavel got a bit confusing for me. I've
>   implemented an approach in this set that makes sense to me, and
>   AFAICT, addresses the requirements. It may be good as-is, or it
>   may be a conversation starter/continuer. To be honest IMO there
>   are many ways to skin this cat and I don't see an extremely strong
>   reason to go for one approach over another. Here is one approach you
>   may like.
> - Don't reset niov dma_addr on allocation & free.
> - Add some tests to the selftest that catches some of the issues around
>   missing netlink attributes or deactivating mp-bound queues.

Something is going awry in two existing test:

https://netdev.bots.linux.dev/contest.html?branch=net-next-2024-08-14--15-00&pw-n=0&pass=0

Example:

https://netdev-3.bots.linux.dev/vmksft-net-drv/results/727462/2-queues-py/stdout

I'll take a closer look at the code in the evening, but gotta discard
if from pw already..
-- 
pw-bot: cr